Bug 1530187 (CVE-2017-7846) - CVE-2017-7846 Mozilla: JavaScript Execution via RSS in mailbox:// origin
Summary: CVE-2017-7846 Mozilla: JavaScript Execution via RSS in mailbox:// origin
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7846
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1530197 1530198 1530199 1530200
Blocks: 1530196
TreeView+ depends on / blocked
 
Reported: 2018-01-02 08:49 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 14:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 04:58:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0061 normal SHIPPED_LIVE Important: thunderbird security update 2018-01-08 09:49:21 UTC

Description Huzaifa S. Sidhpurwala 2018-01-02 08:49:54 UTC
It is possible to execute JavaScript in the parsed RSS feed when RSS feed is viewed as a website, e.g. via “View -> Feed article -> Website” or in the standard format of “View -> Feed article -> default format”.

Comment 1 Huzaifa S. Sidhpurwala 2018-01-02 08:50:06 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: cure53

Comment 2 Huzaifa S. Sidhpurwala 2018-01-02 08:50:13 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-30/#CVE-2017-7829

Comment 5 errata-xmlrpc 2018-01-08 04:49:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2018:0061 https://access.redhat.com/errata/RHSA-2018:0061


Note You need to log in before you can comment on or make changes to this bug.